
package cd.casic.module.terminal.common.config;

/**
 * 可控配置中心
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2025/1/6 23:00
 */
public interface ManagementConfigStore extends ConfigStore {

    /**
     * 加载全部配置
     */
    void loadAllConfig();

    /**
     * 覆盖配置
     *
     * @param key   key
     * @param value value
     */
    void override(String key, String value);

    /**
     * 注册 ref
     *
     * @param ref ref
     */
    void register(ConfigRef<?> ref);

}
